<form class="input-form">
    {% for field_name in headers %}{% if field_name %}
    <div class="input-group"><label for="{{ field_name }}">{{ field_name }}</label><input type="text" name="{{ field_name }}" value="{{ values[loop.index0] }}"/></div>
    {% endif %}{% endfor %}
    <button type="button" name="action" value="update">update line</button>
</form>